• Can't install necessary packages. Cnchi can't continue.


    “Can’t install necessary packages. Cnchi can’t continue.
    Please reference the following number when reporting this error. None”
    I’m trying to install antergos on my new laptop alongside windows 10 and its the second time I’m getting this error.
    First time I chose cnchi to rank mirrors automatically.(option 1)
    Second time I chose default mirror list.(option 2)
    Both times I get the above error.
    I have downloaded the latest live iso
    Cnchi version is 0.14.426
    And here are log files:
    cnchi.log
    pacman-boot.log
    pacman.conf

  • https://forum.antergos.com/topic/10140/antergos-installer-crashes-at-the-end

    there is still a not completely solved mirror problem, i would suggest to take my clened antergos-mirrorlist and take cnchi option to let mirrors as they are:

    • close cnchi
    sudo rm /etc/pacman.d/antergos-mirrorlist
    sudo nano /etc/pacman.d/antergos-mirrorlist
    
    • paste the list from my gist (GitHub) antergos-mirrorlist
    • save the file [Ctrl+X]
    • start cnchi installer again and choose to let mirrors as they are.
  • if you want to go the most secure you can also rank and filter the archlinux mirrors to work the best:

    sudo reflector -p https --save /etc/pacman.d/mirrorlist

    this will rank the fastest mirrors and filter to only provide https enabled mirrors.

  • Thanks for reply.
    I did what you have said.Lets see what happens.

  • I keep my fingers crossed ;)

  • @joekamprad
    tnx a lot it worked and now I’m looking at beautiful antergos.

  • thats good news!

    Then have fun and if you have a question: just ask :)

  • @joekamprad Is this still the best way to install Antergos and work around the crash with bad package data?

    I’m trying to install Antergos with XFCE on either dedicated hardware or a VMWare Fusion VM, but it always crashes.

    Thanks,

    Stu

  • @stu002 without exact error i can not provide a real answer, but i do not know about current problems with mirrors.

  • @joekamprad Okay, will check the logs and get back to you. In the meantime I’ve installed the “base” option and will install XFCE manually from the command line.

    Stu

  • Hi guys, we (the community) really need your help on this. i mean, this is an old issue, i tried to install antergos gnome today, i got the same error at the end, i know there are some workarounds here and there in the forums, but, i mean, come on, you just releaesd a new iso with the same problems, is this a serious distro or not? It seems you don’t care about your comunity, if that is the case, why not put all all aside and continue with your life ? please dont get me wrong, i love antergos and this is not the antergos i used to use in the past, why you are not putting the same love this this polished distro as before?, you got i life i know, but your not alone in this world, i am sure many talented people will take the step forward and keep things going.
    just my 2 cents, in the meantime i have to look back to old friends like manjaro, i have to go ahead too. i hope you resolve your issues and i will be happy to come backup.

installation289 cnchi154 antergos19 mirrorlist10 Posts 11Views 1859
Bloom Email Optin Plugin

Looks like your connection to Antergos Community Forum was lost, please wait while we try to reconnect.